3 Replies Latest reply: Mar 21, 2014 9:13 AM by Balance RSS

    Can't apply hotfix due to applet error

    Balance Community Member

      I'm trying to apply this hotfix http://helpx.adobe.com/coldfusion/kb/coldfusion-security-hotfix-apsb13-03.html but when I go to System Info > Update File, I get a JRE security related error. I've tried Chrome, Safari, FF on PC and Mac without avail. Is there any other way to apply the hotfix without having some stupid applet? UGH.  TIA

        • 1. Re: Can't apply hotfix due to applet error
          BKBK CommunityMVP

          Balance wrote:

          ... when I go to System Info > Update File, I get a JRE security related error.

          I assume you are on ColdFusion 10. Then you mean surely: Server Update > Updates in the ColdFusion Administrator.

           

          If you are indeed on 10, make sure you install the Mandatory Update first. That is crucial! You can do this manually by downloading the JAR file, and running the command: java -jar <jar-file-name>.

           

          You could solve the Java security problem by relaxing Java's security level on your machine. I am on Windows, and can lower Java security settings in the Control Panel.

          • 2. Re: Can't apply hotfix due to applet error
            Anit_Kumar Employee Hosts

            @BKBK: They seems to be on ColdFusion 9.

             

            Here is what you can try:-

             

            Instead of clicking on thge browse button, click within the textbox and type the complete location including the file name. For e.g. C:\Users\adobe\Downloads\CF902.zip\CF902\lib\updates\hf902-00003.jar and then press submit.

             

            The hotfix would be applied successfully.

             

            Regards,

            Anit Kumar

            • 3. Re: Can't apply hotfix due to applet error
              Balance Community Member

              All I had to do was copy the updates to lib/updates I'm running CF 9.01, BTW.  Thanks